External HDD for 10.5.8

Discussion in 'MacBook' started by GregPQ, Jun 22, 2013.

  1. GregPQ macrumors regular

    GregPQ

    Joined:
    Jan 2, 2010
    Location:
    Massachusetts
    #1
    My wife's white MacBook is Intel-based, running Leopard (10.5.8). I am looking for a portable HDD, and some say they require 10.6 or later.

    Should I limit my search to HDD's that specify 10.5.8 compatibility?

    Thanks,
    Greg
     
  2. Livewings macrumors regular

    Joined:
    Dec 16, 2012
    #2
    Portable HDD's are OS independent. So you can just pick any HDD even USB 3 based ones.
     

Share This Page